package breakout;

import java.applet.Applet;
import java.awt.Color;
import java.awt.Graphics;

public class MovingBall extends Applet implements Runnable{
	
	Thread thread;	// 描画を繰り返すためのスレッド
	Ball ball;		// ボールを1つ定義
	
	public void init(){
		setSize(500, 600);	// 画面のサイズ
		ball = new Ball(243, 500, 2, -2, 30);	// ボールを作成
		
		thread = new Thread(this);	// スレッドを作成
		thread.start();		// スレッドをスタート⇒これでrun()メソッドが開始
	}
	
	public void paint(Graphics g){
		ball.paint(g);	// ボールを描画
		// ボール移動	画面の幅，高さを引き数で渡しています
		ball.move(getWidth(), getHeight());
	}

	public void run() {
		while(true){	// 無限ループ
			try{
				Thread.sleep(10);	// 0.01秒停止
				repaint();			// 再びpaint()メソッドを起動します
			}catch (InterruptedException e) {
				// Thread.sleep()を使う際に，このtry-catchが必要
			}
		}
	}
}
